<?php

require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
$page_title = 'Аватар';
require_once('conf/head.php');
require_once('conf/top.php');
$user_id=abs(intval($_SESSION['id']));
$usg3=$dbc->query("SELECT * FROM `users` WHERE`id`='$user_id'")->fetch_assoc();



if($usg3['money']<'3000' or $usg3['vip']<>'1'){header('location:settings.php?error=14');}
$fn=$_FILES['ava']['name'];
$fnr=end(explode('.',$fn));

if($fnr=='jpg' or $fnr=='JPG' or $fnr=='GIF' or $fnr=='gif' or $fnr=='png' or $fnr=='PNG'){

if($usg3['money']<3000){echo'<span class="red">У вас не хватает Золота</span>';}

		if($_FILES['ava']['size']>61440){
echo'<br/><center><p class="name">Загрузка аватара</p></center>
<span class="red">Аватар не должен превышать 60кб!</span>'; 
require_once('conf/navig.php');
require_once('conf/foot.php');
		exit();
		}
if(copy($_FILES['ava']['tmp_name'],'img/avatars/'.$user_id.'.png')){
$dbc->query("UPDATE `users` SET`avatar`='".$user_id.".png' WHERE`id`='".$user_id."'")or die('SQL ERROR');
$rt=$dbc->query("SELECT `money`FROM`users`WHERE`id`='".$user_id."'")->fetch_assoc();
$rsm=$rt['money']-3000;
$dbc->query("UPDATE`users`SET`money`='$rsm' WHERE`id`='".$user_id."'");
echo'<span class="bonus">Аватар успешно загружен</span>';}else{echo'<span class="red">Ошибка загрузки</span>';}
}else{
if(isset($fn)){echo'<span class="red">Неверный формат изображения!</span>';}


  ?><br/>
 <div id="main">

    <center><p class="name2">Загрузка аватара</p></center>
<?php
if($usg3['money']<3000){echo'<div style="background-color: #1E1E1E;">
<p style="border-top:1px solid #444e4f;"></p><span class="red">У вас не хватает Золота</span><p style="border-top:1px solid #444e4f;"></p>
</div><br/>';}
?>
<div style="background-color: #1E1E1E;">
<p style="border-top:1px solid #444e4f;"></p>
<center><b>Стоимость:</b></center>
<p style="border-top:1px solid #444e4f;"></p>
</div><br/>
Индивидуальный аватар стоит 3000 <img src="img/ico/money.png"/> <br/>
<div style="background-color: #1E1E1E;">
<p style="border-top:1px solid #444e4f;"></p>
<center><b>Правила загрузки:</b></center>
<p style="border-top:1px solid #444e4f;"></p>
</div><br/>
1. Формат картинки: jpg, gif или png.<br/>
</div>
1. Загружать картинки порнографического характера.<br/>
2. Загружать картинки с ругательными надписями или рекламой.<br/>
<div style="background-color: #1E1E1E;">
<p style="border-top:1px solid #444e4f;"></p>
<center><b>Внимание:</b></center>
<p style="border-top:1px solid #444e4f;"></p>
</div><br/>
Учтите, что если картинка будет превышать ограничение в 300x250 пикселей, то она будет сжата до ограничения.<br/>
Если герб не изменился, т.е. остался тем же, что был раньше, то при входе в отряд обновите страницу кнопкой браузера.<br/><center>
<br/>
<p style="border-top:1px dashed #444e4f;"></p>
<form enctype="multipart/form-data" method="post"><input type="file" style="width:230px;" name="ava"/><br/><input type="submit" value="Загрузить"/></form></center>
<?php

}


require_once('conf/navig.php');
require_once('conf/foot.php');
mysqli_close($dbc);

?>
</body>
</html>